#
# spec file for package perl-XML-SemanticDiff
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-XML-SemanticDiff
Version:        1.0004
Release:        8.1
%define cpan_name XML-SemanticDiff
Summary:        Perl extension for comparing XML documents.
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/XML-SemanticDiff/
Source:         http://www.cpan.org/authors/id/S/SH/SHLOMIF/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build) >= 0.39
BuildRequires:  perl(XML::Parser)
Requires:       perl(XML::Parser)
%{perl_requires}

%description
XML::SematicDiff provides a way to compare the contents and structure of
two XML documents. By default, it returns a list of hashrefs where each
hashref describes a single difference between the two docs.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes eg LICENSE README

%changelog
* Mon Feb 24 2014 coolo@suse.com
- updated to 1.0004
  - Update the contact info for Shlomi Fish from the old one.
  - Add separate LICENSE file (CPANTS).
  - Add inc/Test/Run/Builder.pm .
* Fri Oct  4 2013 coolo@suse.com
- updated to 1.0002
  - Convert "Changes" (this file) to CPAN::Changes.
  - Fix https://rt.cpan.org/Ticket/Display.html?id=87903
  - Case problem with "repository" in "Build.PL".
  - Remove trailing space.
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Wed Aug 25 2010 pascal.bleser@opensuse.org
- initial package (1.0000)
